# Q-CTRL Elements CSS

Elements CSS is a [Tailwind CSS](https://tailwindcss.com/) plugin that implements the [Q-CTRL Elements Design Library](https://www.figma.com/file/4blSyNEaMXR0LQSH0pJMJr) which is used for building [Q-CTRL](https://q-ctrl.com/) products.

## Table of contents

- [Installation](#installation)
- [Usage](#usage)
- [Contributing](#contributing)
- [Credits](#credits)
- [License](#license)

## Installation

1. `$ git clone https://github.com/qctrl/elements-css.git`
1. `$ cd elements-css`
1. `$ yarn`

## Usage

```
$ yarn add -D @qctrl/elements-css
```

### Development

```
$ yarn build
```

If you need [Tailwind's](https://tailwindcss.com/) full config file run:

```
$ npx tailwindcss init --full
```

## Contributing

See [Contributing](https://github.com/qctrl/.github/blob/master/CONTRIBUTING.md).

## Credits

See [Contributors](https://github.com/qctrl/elements-css/graphs/contributors).

## License

See [LICENSE](LICENSE).
